Name:           kdesvn
Version:        0.11.0
Release:        1%{?dist}
Summary:        A subversion client for KDE with KIO integration

Group:          Development/Tools
License:        GPL
URL:            http://www.alwins-world.de/programs/kdesvn/
Source0:        http://www.alwins-world.de/programs/download/kdesvn/kdesvn-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  subversion-devel, kdelibs-devel, neon-devel, cmake, gettext
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use the %{name} subversion wrapper library.


%prep
%setup -q


%build
mkdir kdesvn-build
cd kdesvn-build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%ifarch x86_64
%define lib_suffix "-DLIB_SUFFIX=64"
%else
%define lib_suffix %{nil}
%endif
cmake .. %{lib_suffix} \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
        -DBUILD_SHARED_LIBS:BOOL=ON \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
	-DCMAKE_BUILD_TYPE=Release
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd kdesvn-build
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
desktop-file-install --vendor=fedora \
       --add-category=Qt \
       --add-category=KDE \
       --add-category=Application \
       --add-category=Development \
       --add-category=X-Fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
%find_lang %{name} || touch %{name}.lang
#Fix doc link
ln -sf ../common $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/%{name}
#Don't conflict with kdebase
rm $RPM_BUILD_ROOT%{_datadir}/services/svn*.protocol
#Don't ship .la
rm $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING GPL.txt
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde3/*
%{_libdir}/libsvnqt.so.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/kdesvn/
%{_datadir}/apps/kdesvnpart/
%{_datadir}/apps/konqueror/servicemenus/kdesvn*.desktop
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/doc/HTML/en/kdesvn/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/services/ksvn*.protocol
%{_mandir}/man1/kdesvn*.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/svnqt/
%{_libdir}/libsvnqt.so


%changelog
* Wed Nov  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.11.0-1
- Update to 0.11.0

* Wed Oct  4 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.10.0-1
- Update to 0.10.0

* Tue Oct  3 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-1
- Update to 0.9.3
- Remove patch applied upstream

* Fri Sep  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.2-1
- Update to 0.9.2, uses cmake
- Add patch from Rajko Albrecht to fix lib64 installs

* Thu Jul 27 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.1-1
- Update to 0.9.1, should fix bug #185165

* Mon Jun  5 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.8.4-1
- Update to 0.8.4

* Wed Mar  8 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.4-1
- Update to 0.7.4

* Mon Feb 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-2
- Rebuild for gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Update to 0.7.2
- Remove gcc41 patch fixed upstream
- Remove apr-1-config and apu-1-config args - fixed upstream
- Drop srcver - bad idea

* Fri Dec 16 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-3
- Add missing files not detected by mock
- Add patch to fix gcc41 compile error

* Tue Dec 13 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Specify apr-1-config and apu-1-config to configure

* Fri Dec  9 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-1
- New upstream version 0.7.1

* Sun Nov 20 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.0-0.rc1
- New upstream version 0.7.0rc1
- Remove desktop patch fixed upstream
- Add patch to remove X11 checks from configure

* Fri Nov  4 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-2
- Make use of buildroot consistant
- Just BuildRequires the "desktop-file-utils" package
- Add post/postun update-desktop-database and gtk-update-icon-cache
- Add Application Category tag to desktop file

* Thu Nov  3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-1
- Initial Fedora Extras release
